Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface RDFSLiteral

All Superinterfaces:
  Comparable<RDFSLiteral>, RDFObject, Visitable

All Known Implementing Classes:
  DefaultRDFSLiteral

    public interface RDFSLiteral

extends Comparable<RDFSLiteral>, RDFObject, Visitable

An interface to represent an RDF/XML Schema literal. This encapsulates the value, the datatype and the language tag.

Author:
  Holger Knublauch

Method Summary
`boolean` | `getBoolean()` Gets the value as a boolean.
`byte[]` | `getBytes()` Gets the appropriate byte array if the value has datatype xsd:base64Binary
`RDFSDatatype` | `getDatatype()` Gets the RDFSDatatype of this value.
`double` | `getDouble()`
`float` | `getFloat()`
`int` | `getInt()` Gets the value as an int.
`String` | `getLanguage()` Gets the language if it has been defined for this.
`long` | `getLong()`
`Object` | `getPlainValue()` If the datatype of this is one of the default datatypes, which can be optimized by Protege, then this returns an optimized value.
`String` | `getRawValue()`
`short` | `getShort()`
`String` | `getString()`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally, getBrowserText`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Method Detail

### getBoolean

    boolean getBoolean()

  Gets the value as a boolean.

  Returns:
    the boolean value

### getBytes

    byte[] getBytes()

  Gets the appropriate byte array if the value has datatype xsd:base64Binary

  Returns:
    the byte array, I guess

### getDatatype

    RDFSDatatype getDatatype()

  Gets the RDFSDatatype of this value.

  Returns:
    the RDFSDatatype

### getDouble

    double getDouble()

### getFloat

    float getFloat()

### getShort

    short getShort()

### getInt

    int getInt()

  Gets the value as an int.

  Returns:
    the int value

### getLanguage

    String getLanguage()

  Gets the language if it has been defined for this.

  Returns:
    a language or null

### getLong

    long getLong()

### getPlainValue

    Object getPlainValue()

  If the datatype of this is one of the default datatypes, which can be optimized by Protege, then this returns an optimized value.

  Returns:
    null or a Boolean, Integer, Float, or String

### getRawValue

    String getRawValue()

### getString

    String getString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.